#ifndef __ROBOT_H__
#define __ROBOT_H__

#include "fighter.h"

class robot : public fighter {
    private:
        int max_energy;
        int cur_energy;
        int extra_damage;
    public:
        robot(string, int, int, int, int);

        string get_type() { return "A"; };

        int getDamage();
        void reset();
        bool useAbility();

        int get_original_speed();
};

#endif
